<template>
<v-container fluid pa-0>
  <v-list three-line class="hidden-sm-and-up2">
    <v-list-item
      v-for="(item, i) in courses"
      :key="i"
      :to="item.to"
      >
      <!-- <v-list-item-icon> -->
      <!--   <v-icon v-text="item.icon"></v-icon> -->
        <!-- </v-list-item-icon> -->
      <v-list-item-avatar>
        <img :src="item.icon" :alt="item.title">
      </v-list-item-avatar>
      <v-list-item-content>
        <v-list-item-title v-text="item.title"></v-list-item-title>
        <v-list-item-subtitle>
          {{item.comment}}
        </v-list-item-subtitle>
      </v-list-item-content>
    </v-list-item>
  </v-list>

  <v-layout column class="hidden-xs-only d-none">
    <v-layout row wrap justify-center justify-space-around fill-height>
      <!-- xs12 sm3 offset-sm3 -->
      <course-item
        title="ЕГЭ/ОГЭ"
        to="/exams"
        :icon="require('@/assets/img/exam-wide.svg')"
        bg="#eee"
        >
        Индивидуальная подготовка к ОГЭ и ЕГЭ по информатике.
      </course-item>

      <course-item
        title="Delphi / Pascal"
        to="/delphi"
        :icon="require('@/assets/img/delphi.svg')"
        bg="#f66"
        >
        Pascal и Delphi всё ещё заставляют учить в школах и ВУЗах России.
      </course-item>

      <course-item
        title="C++"
        to="/cpp-student"
        :icon="require('@/assets/img/logo-cpp.svg')"
        bg="#66c"
        >
        Пригодится для работы в Yandex и Google.
      </course-item>

      <course-item
        title="Python"
        to="/python"
        :icon="require('@/assets/img/logo-python.svg')"
        bg="#d0e7db"
        >
        Очень популярен и используется в {{year}}.
      </course-item>

      <course-item
        title="MATLAB и Octave"
        to="/matlab-octave"
        :icon="require('@/assets/img/logo-octave.svg')"
        bg="#bbd"
      >
      Привет, студенты технических специальностей.
    </course-item>
  </v-layout>
</v-layout>
</v-container>
</template>


<script>
import CourseItem from '@/common/CourseItem.vue';

export default {
  components: {
    CourseItem,
  },
  computed: {
    year() {
      return (new Date()).getFullYear();
    },
  },
  data: () => ({
    logoHeight: 128,
    courses: [
      {
        title: 'ЕГЭ по информатике (11 кл)',
        to: '/courses/ege-inf',
        icon: require('@/assets/img/exam-wide.svg'),
        comment: 'Индивидуальная подготовка к ЕГЭ по информатике.',
      },
      {
        title: 'ОГЭ по информатике (9 кл)',
        to: '/courses/oge-inf',
        icon: require('@/assets/img/exam-wide.svg'),
        comment: 'Индивидуальная подготовка к ОГЭ по информатике.',
      },
      {
        title: 'Python',
        to: '/courses/python',
        icon: require('@/assets/img/logo-python.svg'),
        comment: 'Очень популярен и используется в ' + (new Date()).getFullYear(),
      },
      {
        title: 'Pascal и Delphi',
        to: '/courses/delphi',
        icon: require('@/assets/img/delphi.svg'),
        comment: 'Pascal и Delphi всё ещё заставляют учить в школах и ВУЗах России.',
      },
      {
        title: 'C++',
        to: '/courses/cpp-student',
        icon: require('@/assets/img/logo-cpp.svg'),
        comment: 'Пригодится для работы в Yandex и Google.',
      },
      {
        title: 'Linux',
        to: '/courses/linux',
        icon: require('@/assets/img/logo-linux.svg'),
        comment: 'В последнее время студенты радуют, изучают Linux.',
      },
    ],
  }),
  props: {
    title: String,
    icon: String,
    desc: String,
    to: String,
    bg: String,
    details: String,
  },
};
</script>
